/**
 * @file 直播数据
 * @author zhuxinbo(zhuxinbo@c-top.com.cn)
 */

class liveDataAll {
    constructor() {
    }

    // 相关账户的table列表
    projectDataColumns() {
        return [
            {
                title: '项目',
                dataIndex: 'projectName',
                scopedSlots: {customRender: 'projectName'},
                align: 'center',
                key: 'projectName',
            },
            {
                title: '运营负责人',
                dataIndex: 'projectLeaderName',
                scopedSlots: {customRender: 'projectLeaderName'},
                align: 'center',
                key: 'projectLeaderName',
            },

            {
                title: '设计负责人',
                dataIndex: 'dessLeaderName',
                scopedSlots: {customRender: 'dessLeaderName'},
                align: 'center',
                key: 'dessLeaderName',
            },

            {
                title: '政策类型',
                dataIndex: 'rebateType',
                scopedSlots: {customRender: 'rebateType'},
                align: 'center',
                key: 'rebateType',
            },

            {
                title: '一级行业',
                dataIndex: 'settlement1l',
                scopedSlots: {customRender: 'settlement1l'},
                align: 'center',
                key: 'settlement1l',
            },
            {
                title: '二级行业',
                dataIndex: 'settlement2l',
                scopedSlots: {customRender: 'settlement2l'},
                align: 'center',
                key: 'settlement2l',
            },
            {
                title: '素材量',
                dataIndex: 'materialNum',
                scopedSlots: {customRender: 'materialNum'},
                align: 'center',
                key: 'materialNum',
            },

            {
                title: '有效首投数',
                dataIndex: 'effCount',
                scopedSlots: {customRender: 'effCount'},
                align: 'center',
                key: 'effCount',
            },

            {

                title: "有效首投率",
                dataIndex: "color",
                key: "color",
                scopedSlots: {customRender: "color"},
                align: 'center',

            },

            {
                title: '媒体考核有效率',
                dataIndex: 'mediaEffRate',
                scopedSlots: {customRender: 'mediaEffRate'},
                align: 'center',
                key: 'mediaEffRate',
            },
            {
                title: '自产素材有效数',
                dataIndex: 'selfEffCount',
                scopedSlots: {customRender: 'selfEffCount'},
                align: 'center',
                key: 'selfEffCount',
            },

            {
                title: '自产素材有效占比',
                dataIndex: 'selfEffRate',
                scopedSlots: {customRender: 'selfEffRate'},
                align: 'center',
                key: 'selfEffRate',
            },

            {
                title: '三方素材有效数',
                dataIndex: 'thirdEffCount',
                scopedSlots: {customRender: 'thirdEffCount'},
                align: 'center',
                key: 'thirdEffCount',
            },


        ]

    }

    touchColumns() {
        return [
            {
                title: '时间',
                dataIndex: 'statDate',
                scopedSlots: {customRender: 'statDate'},
                align: 'center',
                key: 'statDate',
            },
            {
                title: '粉丝分层',
                dataIndex: 'fanStrat',
                scopedSlots: {customRender: 'fanStrat'},
                align: 'center',
                key: 'fanStrat'
            },
            {
                title: '客群分层',
                dataIndex: 'customerStrat',
                scopedSlots: {customRender: 'customerStrat'},
                align: 'center',
                key: 'customerStrat',
            },
            {
                title: '花费(元)',
                dataIndex: 'charge',
                scopedSlots: {customRender: 'charge'},
                align: 'center',
                key: 'charge',
            },
            {
                title: '当日累计GMV',
                dataIndex: 'todayCumulativeGmv',
                scopedSlots: {customRender: 'todayCumulativeGmv'},
                align: 'center',
                key: 'todayCumulativeGmv',
            },
            {
                title: '当日累计ROI',
                dataIndex: 'todayCumulativeRoi',
                scopedSlots: {customRender: 'todayCumulativeRoi'},
                align: 'center',
                key: 'todayCumulativeRoi',
            },
            {
                title: '当日累计订单数',
                dataIndex: 'todayCumulativeOrderCount',
                scopedSlots: {customRender: 'todayCumulativeOrderCount'},
                align: 'center',
                key: 'todayCumulativeOrderCount',
            },
            {
                title: '曝光用户数',
                dataIndex: 'showUsers',
                scopedSlots: {customRender: 'showUsers'},
                align: 'center',
                key: 'showUsers',
            },
            {
                title: '购买用户数',
                dataIndex: 'buyUsers',
                scopedSlots: {customRender: 'buyUsers'},
                align: 'center',
                key: 'buyUsers',
            },
            {
                title: '购买转化率',
                dataIndex: 'buyRatio',
                customRender: function (t) {
                    if (t) {
                        return (t * 100).toFixed(2) + '%'
                    } else {
                        return '-'
                    }
                },
                align: 'center',
                key: 'buyRatio',
            },
            {
                title: 'ARPU',
                dataIndex: 'arpu',
                scopedSlots: {customRender: 'arpu'},
                align: 'center',
                key: 'arpu',
            },
            {
                title: 'UV价值',
                dataIndex: 'uv',
                scopedSlots: {customRender: 'uv'},
                align: 'center',
                key: 'uv',
            },
            {
                title: '单均价',
                dataIndex: 'averagePrice',
                scopedSlots: {customRender: 'averagePrice'},
                align: 'center',
                key: 'averagePrice',
            },

        ]
    }

    customerColumns() {
        return [
            {
                title: '花费',
                dataIndex: 'charge',
                scopedSlots: {customRender: 'charge'},
                align: 'center',
                key: 'charge',
            },
            {
                title: '曝光数',
                dataIndex: 'shows',
                scopedSlots: {customRender: 'shows'},
                align: 'center',
                key: 'shows'
            },
            {
                title: '封面曝光数',
                dataIndex: 'photoShow',
                scopedSlots: {customRender: 'photoShow'},
                align: 'center',
                key: 'photoShow',
            },
            {
                title: '封面点击率',
                dataIndex: 'photoClickRatio',
                customRender: function (t) {
                    if (t) {
                        return (t * 100).toFixed(2) + '%'
                    } else {
                        return '-'
                    }
                },
                align: 'center',
                key: 'photoClickRatio',
            },
            {
                title: '素材曝光数',
                dataIndex: 'aclick',
                scopedSlots: {customRender: 'aclick'},
                align: 'center',
                key: 'aclick',
            },
            {
                title: '行为数',
                dataIndex: 'bclick',
                scopedSlots: {customRender: 'bclick'},
                align: 'center',
                key: 'bclick',
            },
            {
                title: '行为率',
                dataIndex: 'actionRatio',
                customRender: function (t) {
                    if (t) {
                        return (t * 100).toFixed(2) + '%'
                    } else {
                        return '-'
                    }
                },
                align: 'center',
                key: 'actionRatio',
            },
            {
                title: '直播间商品点击数',
                dataIndex: 'productClick',
                scopedSlots: {customRender: 'productClick'},
                align: 'center',
                key: 'productClick',
            },
            {
                title: '作品点赞数',
                dataIndex: 'likes',
                scopedSlots: {customRender: 'likes'},
                align: 'center',
                key: 'likes',
            },
            {
                title: '作品分享数',
                dataIndex: 'shares',
                scopedSlots: {customRender: 'shares'},
                align: 'center',
                key: 'shares',
            },
            {
                title: '作品评论数',
                dataIndex: 'comments',
                scopedSlots: {customRender: 'comments'},
                align: 'center',
                key: 'comments',
            },
            {
                title: '作品3秒播放数',
                dataIndex: 'play3sCount',
                scopedSlots: {customRender: 'play3sCount'},
                align: 'center',
                key: 'play3sCount',
            },
            {
                title: '预约成功数',
                dataIndex: 'eventAppointSuccess',
                scopedSlots: {customRender: 'eventAppointSuccess'},
                align: 'center',
                key: 'eventAppointSuccess',
            },

            {
                title: '直播观看数',
                dataIndex: 'liveWatchCount',
                scopedSlots: {customRender: 'liveWatchCount'},
                align: 'center',
                key: 'liveWatchCount',
            },
            {
                title: '直播观看成本',
                dataIndex: 'liveWatchCost',
                scopedSlots: {customRender: 'liveWatchCost'},
                align: 'center',
                key: 'liveWatchCost',
            },
            {
                title: '涨粉数',
                dataIndex: 'liveFans',
                scopedSlots: {customRender: 'liveFans'},
                align: 'center',
                key: 'liveFans',
            },
            {
                title: '涨粉成本',
                dataIndex: 'liveFansCost',
                scopedSlots: {customRender: 'liveFansCost'},
                align: 'center',
                key: 'liveFansCost',
            },

        ]
    }

    adColumns() {
        return [
            {
                title: '直播ID',
                dataIndex: 'liveId',
                scopedSlots: {customRender: 'liveId'},
                align: 'center',
                key: 'liveId',
            },
            {
                title: '快手号',
                dataIndex: 'kuaishouName',
                scopedSlots: {customRender: 'kuaishouName'},
                align: 'center',
                key: 'kuaishouName'
            },
            {
                title: '直播开始时间',
                dataIndex: 'liveStartTime',
                scopedSlots: {customRender: 'liveStartTime'},
                align: 'center',
                key: 'liveStartTime',
            },
            {
                title: '直播结束时间',
                dataIndex: 'liveEndTime',
                scopedSlots: {customRender: 'liveEndTime'},
                align: 'center',
                key: 'liveEndTime',
            },
            {
                title: '直播持续时间（分钟）',
                dataIndex: 'liveDuration',
                scopedSlots: {customRender: 'liveDuration'},
                align: 'center',
                key: 'liveDuration',
            },
            {
                title: '主播ID',
                dataIndex: 'anchorId',
                scopedSlots: {customRender: 'anchorId'},
                align: 'center',
                key: 'anchorId',
            },
            {
                title: '花费',
                dataIndex: 'charge',
                scopedSlots: {customRender: 'charge'},
                align: 'center',
                key: 'charge',
            },
            {
                title: '行为数',
                dataIndex: 'bclick',
                scopedSlots: {customRender: 'bclick'},
                align: 'center',
                key: 'bclick',
            },
            {
                title: '直播平均观看时长',
                dataIndex: 'liveWatchAverageTime',
                scopedSlots: {customRender: 'liveWatchAverageTime'},
                align: 'center',
                key: 'liveWatchAverageTime',
            },
            {
                title: '直播间评论数',
                dataIndex: 'liveComments',
                scopedSlots: {customRender: 'liveComments'},
                align: 'center',
                key: 'liveComments',
            },
            {
                title: '直播间分享数',
                dataIndex: 'liveShares',
                scopedSlots: {customRender: 'liveShares'},
                align: 'center',
                key: 'liveShares',
            },
            {
                title: '直播间送礼数',
                dataIndex: 'liveGifts',
                scopedSlots: {customRender: 'liveGifts'},
                align: 'center',
                key: 'liveGifts',
            },
            {
                title: '涨粉数',
                dataIndex: 'liveFans',
                scopedSlots: {customRender: 'liveFans'},
                align: 'center',
                key: 'liveFans',
            },

            {
                title: '涨粉成本',
                dataIndex: 'liveFansCost',
                scopedSlots: {customRender: 'liveFansCost'},
                align: 'center',
                key: 'liveFansCost',
            },
            {
                title: '直播观看数',
                dataIndex: 'liveWatchCount',
                scopedSlots: {customRender: 'liveWatchCount'},
                align: 'center',
                key: 'liveWatchCount',
            },
            {
                title: '直接订单数',
                dataIndex: 'liveOrderCount',
                scopedSlots: {customRender: 'liveOrderCount'},
                align: 'center',
                key: 'liveOrderCount',
            },
            {
                title: '直接GMV',
                dataIndex: 'liveGmv',
                scopedSlots: {customRender: 'liveGmv'},
                align: 'center',
                key: 'liveGmv',
            },
            {
                title: '直接ROI',
                dataIndex: 'liveRoi',
                scopedSlots: {customRender: 'liveRoi'},
                align: 'center',
                key: 'liveRoi',
            },
        ]
    }


    totalColumns() {
        return [
            {
                title: '年份',
                dataIndex: 'delivery_year',
                align: 'center',
                key: 'delivery_year',
                scopedSlots: {customRender: 'delivery_year'},
            },

            {
                title: '核算业绩归属季度',
                dataIndex: 'delivery_quarter',
                align: 'center',
                key: 'delivery_quarter',
                scopedSlots: {customRender: 'delivery_quarter'},
            },
            {
                title: '核算业绩归属月',
                dataIndex: 'delivery_month',
                align: 'center',
                key: 'delivery_month',
                scopedSlots: {customRender: 'delivery_month'},
            },
            {
                title: '代理商集团',
                dataIndex: 'agent_combine',
                align: 'center',
                key: 'agent_combine',
                scopedSlots: {customRender: 'agent_combine'},
            },
            {
                title: '竞价分类',
                dataIndex: 'bid_type',
                align: 'center',
                key: 'bid_type',
                scopedSlots: {customRender: 'bid_type'},
            },
            {
                title: '结算行业统计类型',
                dataIndex: 'settlement_type',
                align: 'center',
                key: 'settlement_type',
                scopedSlots: {customRender: 'settlement_type'},
            },
            {
                title: '结算二级行业',
                dataIndex: 'settlement_2l',
                align: 'center',
                key: 'settlement_2l',
                scopedSlots: {customRender: 'settlement_2l'},
            },
            {
                title: '运营标签',
                dataIndex: 'operation_label',
                align: 'center',
                key: 'operation_label',
                scopedSlots: {customRender: 'operation_label'},
            },
            {
                title: '月度首投视频素材数',
                dataIndex: 'first_delivery_month_materials',
                align: 'center',
                key: 'first_delivery_month_materials',
                scopedSlots: {customRender: 'first_delivery_month_materials'},
            },
            {
                title: '月度有效视频素材数',
                dataIndex: 'first_delivery_month_valid_materials',
                align: 'center',
                key: 'first_delivery_month_valid_materials',
                scopedSlots: {customRender: 'first_delivery_month_valid_materials'},
            },
            {
                title: '月度首投有效素材占比',
                dataIndex: 'valid_material_ratio',
                align: 'center',
                key: 'valid_material_ratio',
                scopedSlots: {customRender: 'valid_material_ratio'},
            },
            {
                title: '目标值',
                dataIndex: 'target_value',
                align: 'center',
                key: 'target_value',
                scopedSlots: {customRender: 'target_value'},
            },
            {
                title: '返点比例',
                dataIndex: 'rebate_ratio',
                align: 'center',
                key: 'rebate_ratio',
                scopedSlots: {customRender: 'rebate_ratio'},
            },
            {
                title: '满点差值',
                dataIndex: 'full_dot_dif',
                align: 'center',
                key: 'full_dot_dif',
                scopedSlots: {customRender: 'full_dot_dif'},
            },
            {
                title: '返点比例上限',
                dataIndex: 'rebate_ratio_ceiling',
                align: 'center',
                key: 'rebate_ratio_ceiling',
                scopedSlots: {customRender: 'rebate_ratio_ceiling'},
            },
            {
                title: '业绩消耗',
                dataIndex: 'cost',
                align: 'center',
                key: 'cost',
                scopedSlots: {customRender: 'cost'},
            },
            {
                title: '返点金额',
                dataIndex: 'rebate_cost',
                align: 'center',
                key: 'rebate_cost',
                scopedSlots: {customRender: 'rebate_cost'},
            },
            {
                title: '满点差值金额',
                dataIndex: 'full_dot_dif_cost',
                align: 'center',
                key: 'full_dot_dif_cost',
                scopedSlots: {customRender: 'full_dot_dif_cost'},
            },


        ]

    }


    designColumns() {
        return [
            {
                title: '项目名称',
                dataIndex: 'projectName',
                align: 'center',
                key: 'projectName',
                scopedSlots: {customRender: 'projectName'},
            },
            {
                title: '项目设计负责人',
                dataIndex: 'projectDesignLeaderName',
                align: 'center',
                key: 'projectDesignLeaderName',
                scopedSlots: {customRender: 'projectDesignLeaderName'},
            },
            {
                title: '项目运营负责人',
                dataIndex: 'projectLeaderName',
                align: 'center',
                key: 'projectLeaderName',
                scopedSlots: {customRender: 'projectLeaderName'},
            },
            {
                title: '设计leader',
                dataIndex: 'leaderName',
                align: 'center',
                key: 'leaderName',
                scopedSlots: {customRender: 'leaderName'},
            },
            {
                title: '设计',
                dataIndex: 'designName',
                align: 'center',
                key: 'designName',
                scopedSlots: {customRender: 'designName'},
            },
            {
                title: '政策类型',
                dataIndex: 'rebateType',
                align: 'center',
                key: 'rebateType',
                scopedSlots: {customRender: 'rebateType'},
            },
            {
                title: '一级行业',
                dataIndex: 'settlement1l',
                align: 'center',
                key: 'settlement1l',
                scopedSlots: {customRender: 'settlement1l'},
            },
            {
                title: '二级行业',
                dataIndex: 'settlement2l',
                align: 'center',
                key: 'settlement2l',
                scopedSlots: {customRender: 'settlement2l'},
            },
            {
                title: '首投素材量',
                dataIndex: 'materialNum',
                align: 'center',
                key: 'materialNum',
                scopedSlots: {customRender: 'materialNum'},
            },
            {
                title: '有效首投素材量',
                dataIndex: 'effMaterialNum',
                align: 'center',
                key: 'effMaterialNum',
                scopedSlots: {customRender: 'effMaterialNum'},
            },
            {
                title: '有效率',
                dataIndex: 'effRate',
                align: 'center',
                key: 'effRate',
                scopedSlots: {customRender: 'effRate'},
            },
            {
                title: '媒体考核有效率',
                dataIndex: 'mediaEffRate',
                align: 'center',
                key: 'mediaEffRate',
                scopedSlots: {customRender: 'mediaEffRate'},
            },


        ]
    }
}

export default new liveDataAll();
